        
list      p=16F876              
	    #include <p16F876.inc>          
	    __CONFIG  3FF1
                               ;ESERCITAZIONE 4_accensione di LED gestita da interruzione	    
        ORG       0            ;inizio programma                        
        goto      inizio       ;vado al programma principale      
        ORG       4            ;inizio sottoprogramma interruzione
        swapf     PORTC,1      ;scambio i mezzi byte di PORTC
        bcf       INTCON,3     ;disabilito le richieste di interruzioni sulla linea RB4  
        retfie                 ;ritorno al programma principale 
inizio  bsf       STATUS,RP0   ;consento l'accesso al banco 1     
        movlw     0x00         ;carico 0 nell'accumulatore
        movwf     TRISC        ;e trasporto il contenuto nel registro TRISC
        movlw     0xFF         ;carico FF nell'accumulatore
        movwf     TRISB        ;e trasporto il contenuto nel registro TRISB
        bcf       STATUS,RP0   ;consento l'accesso al banco 0  
        bsf       INTCON,7     ;abilito le richieste di interruzioni   
        bsf       INTCON,3     ;abilito le richieste di interruzioni sulla linea RB4  
        movlw     0x0F         ;carico 0F nell'accumulatore
        movwf     PORTC        ;e trasporto il contenuto nel registro TRISC
attesa  btfsc     INTCON,3     ;eseguo un test sul contenuto del bit 3 di INTCON  
        goto      attesa       ;se lo trovo alto ritorno ad attesa, altrimenti vado a uscita
uscita  movlw     0x01         ;carico 01 nell'accumulatore
        movwf     PORTC        ;e trasporto il contenuto nel registro TRISC
        goto      uscita       ;ritorno a uscita in attesa del reset
        end                    ;fine programma